var e;
(e =
  "function" == typeof Symbol && "symbol" == typeof Symbol.iterator
    ? function (e) {
        return typeof e;
      }
    : function (e) {
        return e &&
          "function" == typeof Symbol &&
          e.constructor === Symbol &&
          e !== Symbol.prototype
          ? "symbol"
          : typeof e;
      }),
  (function (n) {
    "object" == ("undefined" == typeof exports ? "undefined" : e(exports)) &&
    "undefined" != typeof module
      ? (module.exports = n())
      : "function" == typeof define && define.amd
      ? define([], n)
      : (("undefined" != typeof window
          ? window
          : "undefined" != typeof global
          ? global
          : "undefined" != typeof self
          ? self
          : this
        ).markdownitIns = n());
  })(function () {
    return (function e(n, t, o) {
      function r(f, s) {
        if (!t[f]) {
          if (!n[f]) {
            var u = "function" == typeof require && require;
            if (!s && u) return u(f, !0);
            if (i) return i(f, !0);
            var p = new Error("Cannot find module '" + f + "'");
            throw ((p.code = "MODULE_NOT_FOUND"), p);
          }
          var l = (t[f] = { exports: {} });
          n[f][0].call(
            l.exports,
            function (e) {
              return r(n[f][1][e] || e);
            },
            l,
            l.exports,
            e,
            n,
            t,
            o
          );
        }
        return t[f].exports;
      }
      for (
        var i = "function" == typeof require && require, f = 0;
        f < o.length;
        f++
      )
        r(o[f]);
      return r;
    })(
      {
        1: [
          function (e, n, t) {
            n.exports = function (e) {
              e.inline.ruler.before("emphasis", "ins", function (e, n) {
                var t,
                  o,
                  r,
                  i,
                  f = e.pos,
                  s = e.src.charCodeAt(f);
                if (n) return !1;
                if (43 !== s) return !1;
                if (
                  ((r = (o = e.scanDelims(e.pos, !0)).length),
                  (i = String.fromCharCode(s)),
                  2 > r)
                )
                  return !1;
                for (
                  r % 2 && ((e.push("text", "", 0).content = i), r--), t = 0;
                  r > t;
                  t += 2
                )
                  (e.push("text", "", 0).content = i + i),
                    e.delimiters.push({
                      marker: s,
                      jump: t,
                      token: e.tokens.length - 1,
                      level: e.level,
                      end: -1,
                      open: o.can_open,
                      close: o.can_close,
                    });
                return (e.pos += o.length), !0;
              }),
                e.inline.ruler2.before("emphasis", "ins", function (e) {
                  var n,
                    t,
                    o,
                    r,
                    i,
                    f = [],
                    s = e.delimiters,
                    u = e.delimiters.length;
                  for (n = 0; u > n; n++)
                    43 === (o = s[n]).marker &&
                      -1 !== o.end &&
                      ((r = s[o.end]),
                      ((i = e.tokens[o.token]).type = "ins_open"),
                      (i.tag = "ins"),
                      (i.nesting = 1),
                      (i.markup = "++"),
                      (i.content = ""),
                      ((i = e.tokens[r.token]).type = "ins_close"),
                      (i.tag = "ins"),
                      (i.nesting = -1),
                      (i.markup = "++"),
                      (i.content = ""),
                      "text" === e.tokens[r.token - 1].type &&
                        "+" === e.tokens[r.token - 1].content &&
                        f.push(r.token - 1));
                  for (; f.length; ) {
                    for (
                      t = (n = f.pop()) + 1;
                      t < e.tokens.length && "ins_close" === e.tokens[t].type;

                    )
                      t++;
                    n !== --t &&
                      ((i = e.tokens[t]),
                      (e.tokens[t] = e.tokens[n]),
                      (e.tokens[n] = i));
                  }
                });
            };
          },
          {},
        ],
      },
      {},
      [1]
    )(1);
  });
